const discord = require("./bot");
const express = require("express");
const session = require("express-session");
const flash = require("connect-flash");
const fileUpload = require("express-fileupload");
const config = require("./config/config.json");

const app = express();
const http = require("http").Server(app);
const io = require("socket.io")(http);

port = config.port;

app.use(express.static("./public"));
app.use(express.static("./themes"));
app.set("view engine", "ejs");
app.use(express.urlencoded({ extended: true, limit: "5mb" }));
app.use(fileUpload());

app.use(
    session({
        secret: "test",
        resave: true,
        saveUninitialized: true
    })
)

app.use(flash());

app.use((req, res, next) => {
    res.locals.success = req.flash("success"),
    res.locals.error = req.flash("error");
    next();
});

// app.use("/", require("./routes/home.js"));

http.listen(port);

// io.sockets.on("connection", sockets => {

// });

app.use((req, res) => {
    res.status(404).render("error_pages/404");
});
